package travel.entity;
// Generated Apr 13, 2017 10:12:16 PM by Hibernate Tools 4.3.1


import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * Hinhanhchitiet generated by hbm2java
 */
@Entity
@Table(name="hinhanhchitiet"
    ,catalog="travel_tour"
)
public class Hinhanhchitiet  implements java.io.Serializable {


     private Integer id;
     private Tour tour;
     private String hinhanh;

    public Hinhanhchitiet() {
    }

    public Hinhanhchitiet(Tour tour, String hinhanh) {
       this.tour = tour;
       this.hinhanh = hinhanh;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)

    
    @Column(name="id", unique=true, nullable=false)
    public Integer getId() {
        return this.id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }

@ManyToOne(fetch=FetchType.EAGER)
    @JoinColumn(name="id_tour", nullable=false)
    public Tour getTour() {
        return this.tour;
    }
    
    public void setTour(Tour tour) {
        this.tour = tour;
    }

    
    @Column(name="hinhanh", nullable=false, length=300)
    public String getHinhanh() {
        return this.hinhanh;
    }
    
    public void setHinhanh(String hinhanh) {
        this.hinhanh = hinhanh;
    }




}


